<?php
namespace App\Domain\Complaints\Observers;

use App\Domain\Complaints\Models\Complaint;

class ComplaintObserver
{
    public function updating(Complaint $complaint)
    {
        if (empty($complaint->moderator_checking_id)) {
            $complaint->moderator_checking_id = auth()->user()->id;
        }
    }
}
